Subject: Re: bug#70889: 29.3; GCC14.1 MinGW compilation error

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 May 2024 11:01:00 +0300

> Cc: [email-masked], [email-masked]
> Date: Mon, 13 May 2024 07:43:39 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Sun, 12 May 2024 12:18:53 -0700
> > Cc: [email-masked]
> > From: Paul Eggert <[email-masked]>
> > 
> > On 2024-05-12 10:16, Eli Zaretskii wrote:
> > 
> > >> Oh, I hadn't seen that. Yep, with this flag the configure script's
> > >> errors turn into warnings and subsequent the compilation error is
> > >> gone.
> > > 
> > > Then I guess we should use that on MS-Windows when running the
> > > configure script.  Paul, is there a better way.
> > 
> > In the short run, having 'configure' use 
> > -Wno-error=implicit-function-declaration on MS-Windows should work 
> > around the issue. Eventually, though, I suspect it'll cause further 
> > problems, as the C standard indeed prohibits implicit function declarations.
> 
> I didn't mean to use this when building Emacs, only when running the
> test programs of the configure script.

Now done on the master branch.  People who use GCC 14 on Windows
please test and report any problems you see.